#pragma once
#include "CS_MyCharAi.h"
#include "CS_Ai_AtkZone.h"
#define CS_PUPPYAI_CREATENAME L"CS_puppy_ai"
//小狗AI
class CS_PuppyAi :
    public CS_MyCharAi
{
public:
    CS_PuppyAi();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void Destroy() override;
    bool AttackAround() override;//攻击周围的敌人
    bool FilterEnemy();
    bool StaticAttack(std::weak_ptr<Entity> e);
    std::weak_ptr<CS_Ai_AtkZone> atkZone;
    std::vector<std::weak_ptr<Entity>> enemyList;
    int atk_interval_counter = 0;
    int atk_interval_counter_max = 8;
};

std::shared_ptr<Entity> CreateCS_PuppyAi();